module alu_op_gen_TB;
   reg    op_addwf,
	  op_andwf,
	  op_clrf,
	  op_clrw,
	  op_comf,
	  op_decf,
	  op_decfsz,
	  op_incf,
	  op_incfsz,
	  op_iorwf,
	  op_movf,
	  op_movwf,
	  op_rlf,
	  op_rrf,
	  op_subwf,
	  op_swapf,
	  op_xorwf,
	      
	  op_bcf,
	  op_bsf,
	  op_btfsc,
	  op_btfss,
	  
	  op_andlw,
	  op_iorlw,
	  op_movlw,
 	  op_retlw,
	  op_xorlw;
   wire [3:0] alu_op;
   
   reg 	      clk;
   
   alu_op_gen u(op_addwf,
	  op_andwf,
	  op_clrf,
	  op_clrw,
	  op_comf,
	  op_decf,
	  op_decfsz,
	  op_incf,
	  op_incfsz,
	  op_iorwf,
	  op_movf,
	  op_movwf,
	  op_rlf,
	  op_rrf,
	  op_subwf,
	  op_swapf,
	  op_xorwf,
	      
	  op_bcf,
	  op_bsf,
	  op_btfsc,
	  op_btfss,
	  
	  op_andlw,
	  op_iorlw,
	  op_movlw,
 	  op_retlw,
	  op_xorlw,

		alu_op);
   
   always begin
      #10 clk = 0;
      #10 clk = 1;
   end

   always @(clk) begin
      op_addwf = 1;
   end
   always @(alu_op)
     $display ("alu_op:%b", alu_op);
   
endmodule // alu_op_gen_TB
